{
    "openapi": "3.0.0",
    "info": {
        "title": "Account v2 API",
        "description": "This API allows sellers to retrieve and manage their custom shipping rate tables. In addition, this API also provides sellers in mainland China methods to configure split-payouts between two separate payment instruments.",
        "contact": {
            "name": "eBay Inc,"
        },
        "license": {
            "name": "eBay API License Agreement",
            "url": "https://developer.ebay.com/join/api-license-agreement"
        },
        "version": "2.2.0"
    },
    "servers": [
        {
            "url": "https://api.ebay.com{basePath}",
            "description": "Production",
            "variables": {
                "basePath": {
                    "default": "/sell/account/v2"
                }
            }
        }
    ],
    "paths": {
        "/rate_table/{rate_table_id}": {
            "get": {
                "tags": [
                    "rate_table"
                ],
                "description": "This method retrieves an existing rate table identified by the <b>rate_table_id</b> path parameter.<br><br>Shipping rate tables are currently supported by the following marketplaces: United States, Canada, United Kingdom, Germany, Australia, France, Italy, and Spain. A successful call returns detailed information for the specified shipping rate table.",
                "operationId": "getRateTable",
                "parameters": [
                    {
                        "name": "rate_table_id",
                        "in": "path",
                        "description": "This path parameter is the unique identifier for the shipping rate table to retrieve.<br/><br/> Use the <a href=\"/api-docs/sell/account/resources/rate_table/methods/getRateTables\" target=\"_blank\">getRateTables</a> method of the <a href=\"/api-docs/sell/account/static/overview.html \" target=\"_blank\">Account API v1</a> to retrieve rate table IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/RateTableDetails"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "394001": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified rate table ID is invalid. Please input a valid rate table ID. The getRateTables method can be used to retrieve valid rate table IDs"
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not found"
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account",
                            "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
                        ]
                    }
                ]
            }
        },
        "/rate_table/{rate_table_id}/update_shipping_cost": {
            "post": {
                "tags": [
                    "rate_table"
                ],
                "description": "This method allows sellers to update <b>shippingCost</b> and/or <b>additionalCost</b> information for an existing shipping rate table identified by the <b>rate_table_id</b> path parameter.<br><br>A successful call returns an HTTP status code of <b>204 No Content</b>.",
                "operationId": "updateShippingCost",
                "parameters": [
                    {
                        "name": "rate_table_id",
                        "in": "path",
                        "description": "This path parameter is the unique identifier for the shipping rate table for which shipping costs will be updated.<br/><br/> Use the <a href=\"/api-docs/sell/account/resources/rate_table/methods/getRateTables\" target=\"_blank\">getRateTables</a> method of the <a href=\"/api-docs/sell/account/static/overview.html \" target=\"_blank\">Account API v1</a> to retrieve rate table IDs.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. It's value should be set to <b>application/json</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "Request to update the shipping costs for the identified shipping rate table.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "Request to update the shipping costs for the identified shipping rate table.",
                                "$ref": "#/components/schemas/RateTableUpdate"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "394001": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified rate table ID is invalid. Please input a valid rate table ID. The getRateTables method can be used to retrieve valid rate table IDs"
                                },
                                "394004": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Please specify at least one shipping rate entry to add/update through the rates array."
                                },
                                "394007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Please specify the rateId value for one or more shipping rate entries being updated."
                                },
                                "394008": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The shippingCost containers are missing for one or more shipping rate entries. Please provide the shipping cost values for the shipping rate entries being updated."
                                },
                                "394009": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified shipping cost currency does not match the currency used for the marketplace."
                                },
                                "394011": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The additional cost containers are missing for one or more shipping rate entries for the WEIGHT/SURCHARGE rate table. Please provide these values for the additional rate entries being added/updated."
                                },
                                "394012": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified additional cost currency does not match the currency used for the marketplace."
                                },
                                "394015": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The number of rate entries must be less than or equal to the existing data."
                                },
                                "394025": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The shipping cost value is invalid."
                                },
                                "394026": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The additional cost value is invalid."
                                },
                                "394035": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The shipping cost is not supported in surcharge calculation type."
                                },
                                "394036": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Additional costs are not applicable for shipping rate tables based on shipping item. Please remove the additional cost container."
                                },
                                "394041": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The rateId of rates is repeated."
                                }
                            }
                        }
                    },
                    "404": {
                        "description": "Not Found"
                    },
                    "409": {
                        "description": "Conflict"
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/payout_settings": {
            "get": {
                "tags": [
                    "payout_settings"
                ],
                "description": "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\" data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important! &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span> Split-payout functionality is <b>only</b> available to mainland China sellers, who can split payouts between their Payoneer account and bank account. Card payouts are not currently available for sellers in mainland China.</p></div><br/>This method returns details on two payment instruments defined on a seller's account, including the ID, type, status, nickname, last four digits of the account number, and payout percentage for the instruments.<br/><br/>Using the <b>instrumentId</b> returned with this method, sellers can makes changes to the payout split of the instruments with the <b>updatePayoutPercentage</b> method. Note that the <b>instrumentStatus</b> of a payment instrument, also returned using this method, must be <code>ACTIVE</code> in order to do split payouts on that payment instrument.",
                "operationId": "getPayoutSettings",
                "responses": {
                    "200": {
                        "description": "Success",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/PayoutSettingsResponse"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.finances"
                        ]
                    }
                ]
            }
        },
        "/payout_settings/update_percentage": {
            "post": {
                "tags": [
                    "payout_settings"
                ],
                "description": "<div class=\"msgbox_important\"><p class=\"msgbox_importantInDiv\" data-mc-autonum=\"&lt;b&gt;&lt;span style=&quot;color: #dd1e31;&quot; class=&quot;mcFormatColor&quot;&gt;Important! &lt;/span&gt;&lt;/b&gt;\"><span class=\"autonumber\"><span><b><span style=\"color: #dd1e31;\" class=\"mcFormatColor\">Important!</span></b></span></span>  Split-payout functionality is <b>only</b> available to mainland China sellers, who can split payouts between their Payoneer account and bank account. Card payouts are not currently available for sellers in mainland China.</p></div><br/>This method allows sellers in mainland China to configure the split-payout percentage for two payout instruments available for seller payouts. For example, a seller can split payouts to have 70% of the payout go to a bank account and 30% go to a Payoneer account.<br><br><span class=\"tablenote\"><b>Note:</b> The split-payout percentage <b>must</b> always add up to 100%. If the values do not equal 100, the call will fail. Instruments cannot be added/removed using Finance and Account APIs. </span><br/>Users can specify the payout instruments being updated by using the <b>instrumentId</b> associated with each payment instrument in the request payload. This value is returned by using the <b>getPayoutSettings</b> method. Users can specify the percentage of the payout allocated to each instrument using the <b>payoutPercentage</b> request field. This value must be a whole number and cannot exceed 100.<br><br> For more details on configuring split-payout percentages, see <a href=\"/api-docs/split-payout/playbook.html\" target=\"_blank \">Mainland China Split Payout Playbook.</a> ",
                "operationId": "updatePayoutPercentage",
                "parameters": [
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "This header indicates the format of the request body provided by the client. Its value should be set to <b>application/json</b>. <br><br> For more information, refer to <a href=\"/api-docs/static/rest-request-components.html#HTTP\" target=\"_blank \">HTTP request headers</a>.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/UpdatePayoutPercentageRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "394100": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The seller is not eligible to set split-payout percentage."
                                },
                                "394101": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing instrumentId in request."
                                },
                                "394102": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing payoutPercentage in request."
                                },
                                "394103": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The 'payoutPercentage' {payoutPercentage} is not valid. The payout percentage should be an integer value. Minimum value: {0}, Maximum value: {100}."
                                },
                                "394104": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Duplicate instrumentId in request."
                                },
                                "394105": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Sum up of 'payoutPercentage' in request must be equal to 100, current value {payoutPercentage}."
                                },
                                "394106": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Instrument 'instrumentId' {instrumentId} not found."
                                },
                                "394107": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Instrument 'instrumentId' {instrumentId} missing in request."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                },
                                "395100": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was an internal error, please try again after sometime."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.finances"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules/create_calculated_shipping_rules": {
            "post": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method creates or registers calculated shipping rules that determine combined shipping costs based on weight, item count, or cost parameters for an authenticated seller. <br><br> This shipping rule will apply to eBay listings that use the calculated shipping model.",
                "operationId": "createCalculatedShippingRules",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This field header specifies the eBay marketplace identifier for which the API request is being executed. This header ensures that the shipping rule applies to the correct regional eBay site (e.g., EBAY_US, EBAY_GB, EBAY_DE). <br><br> For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "This type is used to define and configure calculated combined shipping and handling rules and/or change the combined payment duration.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "This type is used to define and configure calculated combined shipping and handling rules and/or change the combined payment duration.",
                                "$ref": "#/components/schemas/CreateCalculatedShippingRulesRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'currency'."
                                },
                                "396002": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType'."
                                },
                                "396003": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Combined shipping rule names must be unique. Rule names cannot match existing rules in the system or be duplicated within the request."
                                },
                                "396004": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRules' data. Please verify all required fields are provided with valid values."
                                },
                                "396005": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleName'."
                                },
                                "396006": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmount'."
                                },
                                "396007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedDuration'."
                                },
                                "396008": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmountOffShippingCost'."
                                },
                                "396009": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalPercentOffShippingCost'."
                                },
                                "396010": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "For create operation, 'combinedShippingRuleId' is not allowed."
                                },
                                "396012": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType' in 'calculatedHandlingRule'."
                                },
                                "396013": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing amount data in 'calculatedHandlingRule'."
                                },
                                "396019": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalPercentOffShippingCost'."
                                },
                                "396021": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'weightOffTotalWeight'."
                                },
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                },
                                "396025": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing 'calculatedShippingRule'."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules/create_flat_shipping_rules": {
            "post": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method is used to create fixed-rate (flat) shipping rules that apply standard combined shipping costs for a seller’s listings.",
                "operationId": "createFlatShippingRules",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This field specifies the eBay marketplace identifier where the operation will be executed. <br><br> This header ensures that the promotional shipping rule is applied to the correct regional marketplace (for example, EBAY_US, EBAY_GB, EBAY_DE).",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "This type is used to define and configure flat-rate combined shipping rules and/or change the combined payment duration.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "This type is used to define and configure flat-rate combined shipping rules and/or change the combined payment duration.",
                                "$ref": "#/components/schemas/CreateFlatShippingRulesRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'currency'."
                                },
                                "396002": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType'."
                                },
                                "396003": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Combined shipping rule names must be unique. Rule names cannot match existing rules in the system or be duplicated within the request."
                                },
                                "396004": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRules' data. Please verify all required fields are provided with valid values."
                                },
                                "396005": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleName'."
                                },
                                "396006": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmount'."
                                },
                                "396007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedDuration'."
                                },
                                "396008": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmountOffShippingCost'."
                                },
                                "396009": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalPercentOffShippingCost'."
                                },
                                "396010": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "For create operation, 'combinedShippingRuleId' is not allowed."
                                },
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                },
                                "396024": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing 'flatShippingRule'."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules/create_promotional_shipping_rule": {
            "post": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method defines promotional shipping rules such as discounts or free-shipping thresholds, configurable by marketplace for the seller.",
                "operationId": "createPromotionalShippingRule",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This field header specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site (e.g., EBAY_US, EBAY_GB, EBAY_DE).<br><br> For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "This type is used to define and configure the promotional combined shipping rule and/or change the combined payment duration.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "This type is used to define and configure the promotional combined shipping rule and/or change the combined payment duration.",
                                "$ref": "#/components/schemas/CreatePromotionalShippingRuleRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'currency'."
                                },
                                "396001": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing 'promotionalShippingRule'."
                                },
                                "396002": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType'."
                                },
                                "396007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedDuration'."
                                },
                                "396014": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified combined shipping rule data does not match any existing rules or the operation is not supported for this rule type."
                                },
                                "396017": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'shippingCost'."
                                },
                                "396018": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'orderAmount'."
                                },
                                "396020": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'itemCount'."
                                },
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules": {
            "get": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method retrieves all existing combined shipping rule configurations defined by the authenticated seller, including calculated, flat, and promotional types.",
                "operationId": "getCombinedShippingRules",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This field header specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site <br><br>(e.g., EBAY_US, EBAY_GB, EBAY_DE). <br><br> For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/GetCombinedShippingRulesPublicApiResponse"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules/update_calculated_shipping_rules": {
            "post": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method updates previously defined calculated shipping rules to modify discount percentages, weight offsets, or amount parameters for the seller.",
                "operationId": "updateCalculatedShippingRules",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This field header specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site <br><br> (e.g., EBAY_US, EBAY_GB, EBAY_DE). <br><br> For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "This type is used for creating and updating calculated combined-shipping rules.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "This type is used for creating and updating calculated combined-shipping rules.",
                                "$ref": "#/components/schemas/UpdateCalculatedShippingRulesRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'currency'."
                                },
                                "396002": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType'."
                                },
                                "396004": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRules' data. Please verify all required fields are provided with valid values."
                                },
                                "396005": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleName'."
                                },
                                "396006": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmount'."
                                },
                                "396007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedDuration'."
                                },
                                "396008": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmountOffShippingCost'."
                                },
                                "396009": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalPercentOffShippingCost'."
                                },
                                "396011": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleId'."
                                },
                                "396012": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType' in 'calculatedHandlingRule'."
                                },
                                "396013": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing amount data in 'calculatedHandlingRule'."
                                },
                                "396014": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified combined shipping rule data does not match any existing rules or the operation is not supported for this rule type."
                                },
                                "396016": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The provided 'combinedShippingRuleName' differs from the existing combined shipping rule name. The existing name will be preserved."
                                },
                                "396019": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalPercentOffShippingCost'."
                                },
                                "396021": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'weightOffTotalWeight'."
                                },
                                "396022": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Duplicate 'combinedShippingRuleId' found. Each rule id must be unique within the request."
                                },
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                },
                                "396026": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing 'calculatedShippingRule' or 'calculatedHandlingRule'."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules/update_combined_payments": {
            "post": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method configures or modifies combined payment settings that determine how unpaid orders can be merged for a single invoice within a defined duration for the seller.",
                "operationId": "updateCombinedPayments",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This path parameter is used to specify eBay's marketplace ID. Specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site <br><br>(e.g., EBAY_US, EBAY_GB, EBAY_DE). <br><br> For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "This type is used for updating combined-payment settings. <br><br>It defines how multiple unpaid orders from the same buyer are combined into a single payment, including configuration parameters such as eligible duration, order-merge criteria, and marketplace context.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "This type is used for updating combined-payment settings. <br><br>It defines how multiple unpaid orders from the same buyer are combined into a single payment, including configuration parameters such as eligible duration, order-merge criteria, and marketplace context.",
                                "$ref": "#/components/schemas/UpdateCombinedPaymentsRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'currency'."
                                },
                                "396007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedDuration'."
                                },
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules/update_flat_shipping_rules": {
            "post": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method updates existing shipping rules.",
                "operationId": "updateFlatShippingRules",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This field header specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site <br><br>(e.g., EBAY_US, EBAY_GB, EBAY_DE). <br><br> For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "This type is used for creating and updating flat-rate combined-shipping rules.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "This type is used for creating and updating flat-rate combined-shipping rules.",
                                "$ref": "#/components/schemas/UpdateFlatShippingRulesRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'currency'."
                                },
                                "396002": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType'."
                                },
                                "396004": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRules' data. Please verify all required fields are provided with valid values."
                                },
                                "396005": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleName'."
                                },
                                "396006": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmount'."
                                },
                                "396007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedDuration'."
                                },
                                "396008": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalAmountOffShippingCost'."
                                },
                                "396009": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'eachAdditionalPercentOffShippingCost'."
                                },
                                "396011": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleId'."
                                },
                                "396014": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified combined shipping rule data does not match any existing rules or the operation is not supported for this rule type."
                                },
                                "396016": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The provided 'combinedShippingRuleName' differs from the existing combined shipping rule name. The existing name will be preserved."
                                },
                                "396022": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Duplicate 'combinedShippingRuleId' found. Each rule id must be unique within the request."
                                },
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                },
                                "396024": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing 'flatShippingRule'."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/combined_shipping_rules/update_promotional_shipping_rule": {
            "post": {
                "tags": [
                    "combined_shipping_rules"
                ],
                "description": "This method updates an existing promotional shipping rule to adjust discount thresholds, eligibility criteria, or duration for the seller.",
                "operationId": "updatePromotionalShippingRule",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This field header specifies the eBay marketplace identifier for this request, ensuring the operation targets the correct regional site <br><br> (e.g., EBAY_US, EBAY_GB, EBAY_DE). <br><br> For the full list of eBay marketplace values, see the https://developer.ebay.com/api-docs/sell/account/v2/types/ba:MarketplaceIdEnum type.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "description": "This type is used for updating an existing promotional combined-shipping rules.",
                    "content": {
                        "application/json": {
                            "schema": {
                                "description": "This type is used for updating an existing promotional combined-shipping rules.",
                                "$ref": "#/components/schemas/UpdatePromotionalShippingRuleRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'currency'."
                                },
                                "396001": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Missing 'promotionalShippingRule'."
                                },
                                "396002": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedShippingRuleType'."
                                },
                                "396007": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'combinedDuration'."
                                },
                                "396014": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified combined shipping rule data does not match any existing rules or the operation is not supported for this rule type."
                                },
                                "396017": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'shippingCost'."
                                },
                                "396018": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'orderAmount'."
                                },
                                "396020": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid or missing 'itemCount'."
                                },
                                "396023": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified marketplace ID was not found."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "395000": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "There was a problem with an eBay internal system or process. Contact eBay developer support for assistance."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        },
        "/user_preferences": {
            "get": {
                "tags": [
                    "user_preferences"
                ],
                "description": "This method retrieves the seller's preferences for a specific eBay marketplace, such as combined payment preferences, same-day shipping cutoff time, excluded shipping locations, and opt-in status for Business Policies and Out-of-Stock control. The <b>fieldgroups</b> query parameter specifies the type of seller preferences to retrieve. If <b>fieldgroups</b> = <code>ALL</code> or the parameter is omitted, all the supported seller preferences are returned. To retrieve only specific preferences, include the <b>fieldgroups</b> parameter with one or more supported values, delimited by commas.",
                "operationId": "getUserPreferences",
                "parameters": [
                    {
                        "name": "fieldgroups",
                        "in": "query",
                        "description": "The <b>fieldgroups</b> query parameter specifies the type of seller preferences to retrieve. <br><br>If <b>fieldgroups</b>=<code>ALL</code> or is omitted, all the supported seller preferences are returned. <br><br>To retrieve specific seller preferences, include the <b>fieldgroups</b> parameter and specify one or more values, with each value delimited by a comma. <br><br>For example, <code>fieldgroups = SHIPPING_CARRIER_RATE,COMBINED_PAYMENT</code>. <br><br>The value can be <code>ALL</code> or any combination of the following (comma-separated):<br><code>COMBINED_PAYMENT</code>, <code>DISPATCH_CUTOFF_TIME</code>, <code>EMAIL_SHIPMENT_TRACKING_NUMBER</code>, <code>END_OF_AUCTION_EMAIL</code>, <code>GLOBAL_SHIPPING_PROGRAM</code>, <code>GLOBAL_SHIPPING_PROGRAM_LISTING</code>, <code>ITEMS_AWAITING_PAYMENT</code>, <code>OUT_OF_STOCK_CONTROL SELLER_PROFILE</code>, <code>OVERRIDE_GSP_SERVICE_WITH_INTL_SERVICE</code>, <code>PICKUP_DROPOFF_SELLER</code>, <code>PURCHASE_REMINDER_EMAIL</code>, <code>REQUIRED_SHIP_PHONE_NUMBER</code>, <code>SELLER_EXCLUDE_SHIP_TO_LOCATION</code>, <code>SHIPPING_CARRIER_RATE</code>",
                        "required": false,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This required header sets the eBay marketplace from which the seller's preferences are retrieved. See the <code>MarketplaceIdEnum</code> type for the full list of values.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "content": {
                            "application/json": {
                                "schema": {
                                    "$ref": "#/components/schemas/GetUserPreferencesResponse"
                                }
                            }
                        }
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396502": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The specified field groups are invalid. Error Details - {errorDetails}"
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "396500": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "Internal Server Error. Please try again later or contact Developer Technical Support."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account.readonly"
                        ]
                    }
                ]
            },
            "patch": {
                "tags": [
                    "user_preferences"
                ],
                "description": "This method is used to modify one or more preferences for a seller on a specific marketplace. The preferences that can be modified include combined payment preferences, same-day shipping cutoff time, and opt-in status for Business Policies and Out-of-stock control. This is a PATCH operation, so you only need to include the fields that correspond to the preferences/settings that you are changing.",
                "operationId": "setUserPreferences",
                "parameters": [
                    {
                        "name": "X-EBAY-C-MARKETPLACE-ID",
                        "in": "header",
                        "description": "This required header sets the eBay marketplace, which the seller has specified. See the <code>MarketplaceIdEnum</code> type for the full list of values.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    },
                    {
                        "name": "Content-Type",
                        "in": "header",
                        "description": "The media type of the request payload.",
                        "required": true,
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "requestBody": {
                    "content": {
                        "application/json": {
                            "schema": {
                                "$ref": "#/components/schemas/SetUserPreferencesRequest"
                            }
                        }
                    },
                    "required": false
                },
                "responses": {
                    "204": {
                        "description": "No Content"
                    },
                    "400": {
                        "description": "Bad Request",
                        "x-response-codes": {
                            "errors": {
                                "396510": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Dispatch cutoff time format is invalid. Expected format: HH:mm:ss.SSSZ"
                                },
                                "396511": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The optInStatus field is included and set to 'false', no other itemsAwaitingPaymentPreferences fields can be used."
                                },
                                "396512": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The removeAllExcludedUsers field is included and set to 'true', the excludedUsers array cannot be used."
                                },
                                "396513": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The delayBeforeCancellingCommitment value is invalid. See the documentation for valid values."
                                },
                                "396514": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The seller's account has reached the maximum number of users ({maxNo}) that can be added to the Excluded Users list."
                                },
                                "396515": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The number of users included in the excludedUsers array exceeds the daily maximum threshold. Please remove one or more users and try again."
                                },
                                "396516": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "One or more invalid user IDs included in the excludedUsers array."
                                },
                                "396517": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid value specified for combinedPaymentOption field. See documentation for valid values."
                                },
                                "396518": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Customization of End of Auction email is not supported for this marketplace."
                                },
                                "396519": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The provided text in the templateText field exceeds the maximum allowed number of characters (1000)."
                                },
                                "396520": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The provided text in the templateText field  contains vulgar language or prohibited HTML content."
                                },
                                "396521": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Logo URL is required but not provided."
                                },
                                "396522": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The format of the logo image in the provided logoUrl field is not supported. See documentation for supported image formats."
                                },
                                "396523": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Logo URL exceeds maximum allowed length of 1024 characters."
                                },
                                "396524": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The marketplace does not support the Global Shipping Program and/or the user is not enrolled in the program."
                                },
                                "396525": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid value specified for upsRateOption field. See documentation for valid values."
                                },
                                "396526": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid value specified for fedexRateOption field. See documentation for valid values."
                                },
                                "396528": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The textCustomized field is set to ‘true’, so the templateText field must also be included."
                                },
                                "396529": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The textCustomized field is set to ‘false’, so the templateText field is not applicable."
                                },
                                "396530": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "Invalid value specified for logoType field. See documentation for valid values."
                                },
                                "396531": {
                                    "domain": "API_ACCOUNT",
                                    "category": "REQUEST",
                                    "description": "The logoType field is not set to CUSTOMIZED, so the logoUrl field is not applicable."
                                }
                            }
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "x-response-codes": {
                            "errors": {
                                "396500": {
                                    "domain": "API_ACCOUNT",
                                    "category": "APPLICATION",
                                    "description": "Internal Server Error. Please try again later or contact Developer Technical Support."
                                }
                            }
                        }
                    }
                },
                "security": [
                    {
                        "api_auth": [
                            "https://api.ebay.com/oauth/api_scope/sell.account"
                        ]
                    }
                ]
            }
        }
    },
    "components": {
        "schemas": {
            "Amount": {
                "type": "object",
                "properties": {
                    "currency": {
                        "type": "string",
                        "description": "The base currency applied to the <b>value</b> field to establish a monetary amount.<br/><br/>The currency is represented as a 3-letter ISO 4217 currency code. For example, the code for the Canadian Dollar is <code>CAD</code>. For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/account/types/ba:CurrencyCodeEnum'>eBay API documentation</a>"
                    },
                    "value": {
                        "type": "string",
                        "description": "The monetary amount in the specified <b>currency</b>."
                    }
                },
                "description": "A complex type that describes the value of a monetary amount as represented by a global currency."
            },
            "CalculatedHandlingRuleType": {
                "type": "object",
                "properties": {
                    "combinedShippingRuleType": {
                        "type": "string",
                        "description": "This enumeration type specifies the type of combined-shipping rule applied to handling fees <br><br>(for example, weight-based, flat-rate, or percentage-based calculation method). For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/account/types/api:CombinedShippingRuleTypeHandlingEnum'>eBay API documentation</a>"
                    },
                    "eachAdditionalAmount": {
                        "description": "This container specifies the additional monetary charge applied for each extra item included in a combined shipment.",
                        "$ref": "#/components/schemas/Amount"
                    },
                    "eachAdditionalAmountOffShippingCost": {
                        "description": "This container represents the fixed monetary discount deducted from the total shipping cost for each additional item in a combined shipment.",
                        "$ref": "#/components/schemas/Amount"
                    },
                    "eachAdditionalPercentOffShippingCost": {
                        "type": "number",
                        "description": "This integer specifies the percentage discount applied to the total shipping cost for each additional item in a combined shipment."
                    },
                    "orderHandlingAmount": {
                        "description": "This container represents the handling fee charged for processing a combined order, if applicable.",
                        "$ref": "#/components/schemas/Amount"
                    }
                },
                "description": "This type defines the structure for calculated handling fee discounts applicable when combining multiple orders."
            },
            "CalculatedShippingRuleType": {
                "type": "object",
                "properties": {
                    "combinedShippingRules": {
                        "type": "array",
                        "description": "This array lists the discount rules applied to combined shipments, detailing calculation methods and rule identifiers. <br><br>When used by a create call, there won't be any rule ID.",
                        "items": {
                            "$ref": "#/components/schemas/CombinedShippingRule"
                        }
                    },
                    "combinedShippingRuleType": {
                        "type": "string",
                        "description": "This container defines the type of combined-shipping rule applied to calculate discounts, such as weight-based, percentage-based, or flat-rate models. For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/account/types/api:CombinedShippingRuleTypeEnum'>eBay API documentation</a>"
                    }
                },
                "description": "This type describes calculated discount rules determining total shipping cost reductions for combined items."
            },
            "CombinedPaymentPreferencesType": {
                "type": "object",
                "properties": {
                    "combinedPaymentOption": {
                        "type": "string",
                        "description": "This enum type defines the available options for handling combined payments when a seller allows multiple line items from the same buyer to be paid for with a single payment. See <code>CombinedPaymentOptionEnum</code> for a description of each value. For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/account/types/api:CombinedPaymentOptionEnum'>eBay API documentation</a>"
                    }
                },
                "description": "This container is used to change the combined payment option. Sellers have the option to combine multiple line items from the same buyer into a combined invoice that can be paid for with one payment. See CombinedPaymentOptionEnum for a description of each value."
            },
            "CombinedShippingRule": {
                "type": "object",
                "properties": {
                    "combinedShippingRuleId": {
                        "type": "string",
                        "description": "This field represents the unique identifier for the combined-shipping discount profile, <br><br>used to reference or update a specific rule configuration."
                    },
                    "combinedShippingRuleName": {
                        "type": "string",
                        "description": "This field specifies the unique name identifying the combined shipping discount profile within the seller’s account. This name is configured by the seller and can have a maximum of XX characters."
                    },
                    "eachAdditionalAmount": {
                        "description": "This containter defines the additional monetary charge applied for each extra item when multiple items are shipped together.",
                        "$ref": "#/components/schemas/Amount"
                    },
                    "eachAdditionalAmountOffShippingCost": {
                        "description": "This container defines the fixed discount amount deducted from the total shipping cost for each additional item.",
                        "$ref": "#/components/schemas/Amount"
                    },
                    "eachAdditionalPercentOffShippingCost": {
                        "type": "number",
                        "description": "This integer specifies the percentage discount applied to the total shipping cost for each additional item in the combined order."
                    },
                    "mappedCombinedShippingRuleId": {
                        "type": "string",
                        "description": "This field specifies the unique ID that links this combined-shipping rule to another related rule in the seller’s account."
                    },
                    "weightOffTotalWeight": {
                        "description": "This container specifies the total weight reduction applied when combining multiple items into one shipment.",
                        "$ref": "#/components/schemas/MeasureType"
                    }
                },
                "description": "This container defines a discount profile schema for combined shipping, including rule IDs, names, and applicable weight or amount reductions.<br><br><span class=\"tablenote\"><b>Note:</b> This field is not applicable for the create rule use case."
            },
            "CreateCalculatedShippingRulesRequest": {
                "type": "object",
                "properties": {
                    "calculatedHandlingRule": {
                        "description": "This container defines the calculated handling fee rules applied to combined orders, specifying how handling costs are determined or discounted <br><br>based on combined-shipping parameters.",
                        "$ref": "#/components/schemas/CalculatedHandlingRuleType"
                    },
                    "calculatedShippingRule": {
                        "description": "This container defines the calculated shipping rule applied to combined orders, detailing how shipping discounts or costs are computed <br><br>based on item count, total weight, or order value.",
                        "$ref": "#/components/schemas/CalculatedShippingRuleType"
                    },
                    "combinedDuration": {
                        "type": "string",
                        "description": "This container specifies the time window during which multiple unpaid orders can be combined into a single payment or invoice, represented by using one of the values in CombinedPaymentPeriodEnum type. For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/account/types/api:CombinedPaymentPeriodEnum'>eBay API documentation</a>"
                    }
                },
                "description": "This type defines the structure of a request to create calculated shipping rules, including handling, duration, and rule type details."
            },
            "CreateFlatShippingRulesRequest": {
                "type": "object",
                "properties": {
                    "combinedDuration": {
                        "type": "string",
                        "description": "This container specifies the time window during which multiple unpaid orders can be combined into a single payment or invoice, represented by using one of the values in CombinedPaymentPeriodEnum type. For implementation help, refer to <a href='https://developer.ebay.com/api-docs/sell/account/types/api:CombinedPaymentPeriodEnum'>eBay API documentation</a>"
                    },
                    "flatShippingRule": {
                        "description": "This container defines the flat-rate combined-shipping rule, which applies a fixed shipping cost for multiple items shipped together.",
                        "$ref": "#/components/schemas/FlatShippingRuleType"
                    }
                },
                "description": "This type represents a request to configure flat-rate combined shipping rules with specified durations and conditions."
[...]
